package com.dgtly.wxportal.service.impl;

import com.dgtly.common.utils.DateUtils;
import com.dgtly.wxportal.domain.EMetaHanaSalesOrder;
import com.dgtly.wxportal.mapper.EMetaHanaSalesOrderMapper;
import com.dgtly.wxportal.service.IEMetaHanaSalesOrderService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author qxp
 * @since 2020-07-30
 */
@Service
public class EMetaHanaSalesOrderServiceImpl implements IEMetaHanaSalesOrderService {

    @Resource
    private EMetaHanaSalesOrderMapper eMetaHanaSalesOrderMapper;


    @Override
    public List<EMetaHanaSalesOrder> selectDistinctMetaHanaSalesOrder(EMetaHanaSalesOrder metaHanaSalesOrder) {

        /*List<String> orderNumbers = new ArrayList<>();
        List<MetaHanaSalesOrder> list =  metaHanaSalesOrderMapper.selectDistinctMetaHanaSalesOrder(metaHanaSalesOrder);
        for(MetaHanaSalesOrder m:list){
            orderNumbers.add(m.getDocNumber());
        }
        Map<String,Map<String,Object>> timeList = metaHanaSalesOrderMapper.selectOrderExcepTimeByList(orderNumbers);
        for(MetaHanaSalesOrder m:list){
            if(timeList.containsKey(m.getDocNumber())){

                m.setExpectedTime((Date)timeList.get(m.getDocNumber()).get("expected_time"));
            }

        }*/
        if(metaHanaSalesOrder.getExpectedTime() != null){
            metaHanaSalesOrder.setExpectedTimeStr(DateUtils.dateTime(metaHanaSalesOrder.getExpectedTime()));
        }
        List<EMetaHanaSalesOrder> list =  eMetaHanaSalesOrderMapper.selectDistinctMetaHanaSalesOrder(metaHanaSalesOrder);
        return list;
    }


}
